# Simulate presenting a payment method Presents a payment method on a simulated reader. Can be used to simulate accepting a payment, saving a card or refunding a transaction. ## Returns Returns an updated `Reader` resource. ## Parameters - `amount_tip` (integer, optional) Simulated on-reader tip amount. - `card_present` (object, optional) Simulated data for the card_present payment method. - `card_present.number` (string, optional) The card number, as a string without any separators. - `interac_present` (object, optional) Simulated data for the interac_present payment method. - `interac_present.number` (string, optional) Card Number - `type` (enum, optional) Simulated payment type. ```curl curl -X POST https://api.stripe.com/v1/test_helpers/terminal/readers/tmr_gLeqlF03xvlBympS9RfZqdpF/present_payment_method \ -u "<>" \ -H "Stripe-Version: 2025-04-30.preview" ``` ### Response ```json { "id": "tmr_gLeqlF03xvlBympS9RfZqdpF", "object": "terminal.reader", "action": { "failure_code": null, "failure_message": null, "process_payment_intent": { "payment_intent": "pi_1Gt0582eZvKYlo2CGSidzWqK" }, "status": "succeeded", "type": "process_payment_intent" }, "device_sw_version": null, "device_type": "bbpos_wisepos_e", "ip_address": "192.168.2.2", "label": "Blue Rabbit", "last_seen_at": null, "livemode": false, "location": null, "metadata": {}, "serial_number": "123-456-789", "status": "online" } ```